# Dziurkacz

Zestaw narzędzi pomagający wyciąć z pliku wideo te same fragmenty, które zostały wycięte z pliku audio.

## Wyamgania

- ffmpeg,
- Audacity,
- zx (https://github.com/google/zx)

## Instalacja

### Macro do Audacity

Przenieś makro `cut and label.txt` z tego repo do katalogu `~/.audacity-data/Macros` i uruchom ponownie Audacity.

Pojawi się nowa opcja w makrach (Tools > Apply Macro > Cut and
Label). Uruchomienie tego makra spowoduje usunięcie zaznaczonego fragmentu i
stworzenie nowej labelki, w której są metadane o lokalizacji i czasie trwania
tego, co było właśnie usunięte.

W ustawieniach Audacity można podpiąć sobie to makro pod np. klawisz `Del` lub `Ctrl+D`.

## Używanie

1. Wyciągnij audio z pliku wideo, który chcesz przyciąć:

```
ffmpeg -i video.mp4 -vn -acodec copy audio.aac
```

2. Otwórz plik dźwiękowy z video w Audacity i usuwaj fragmenty za pomocą makra opisanego powyżej.

3. Wyeksportuj wszystkie labelki do pliku tekstowego (export -> labels)

4. Uruchom `zx --quiet dziurkacz.mjs /ścieżka/do/pliku/video.mp4 /ścieżka/do/pliku/z/wyeskportowanymi/labelkami.txt`

Plik wynikowy znajdziesz w /tmp/dziurkacz/working.mp4
